@import url("https://fonts.googleapis.com/css?family=Roboto:400,700");
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap');
@import url('https://db.onlinewebfonts.com/c/67821e7ef9a2952d6e7757a6cae5a826?family=Novecento+WideBold');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", cursive;
    font-size: xx-small;                                                                                                    
}
body {
    min-height: 100vh;
    /*background: url('backgroundProviDesidia.png') no-repeat center center fixed; */
    background-color: rgb(0, 0, 0);
    background-size: cover;
}
/*Header y navbar, iconos y responsive, menu ------------------------- */
/*Header y navbar, iconos y responsive, menu ------------------------- */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 7.7rem;
    padding: 1.5rem 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.header * {
    transition: color 0.3s ease, transform 0.3s ease;
}
.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .1); 
    backdrop-filter: blur(15px); 
    z-index: -1;
}
.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}
.header:hover::after {
    left: 100%;
}
.logo {
    font-size: 2rem;
    color: rgb(255, 255, 255); 
    text-decoration: none;
    font-weight: 700;
}
.logo:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a {
    font-family: 'Novecento WideBold';
    font-size: 1.5rem;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
}
.navbar a:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a.active {
    color: rgb(88, 183, 255);
    transform: scale(1.1);
}
.header .navbar a i {
    padding: 0 0.3rem;
    font-size: 1.7rem;
}
#check {
    display: none;
}
.icons {
    position: absolute;
    right: 5%;
    font-size: 2.8rem;
    color: #fff;
    cursor: pointer;
    display: none;
}
.icons #menu-icon,
.icons #close-icon {
    font-size: 3.2rem;
}
.icons #menu-icon:hover {
    color: #2AEC88;
}
.icons #close-icon:hover {
    color: #2AEC88;
}
/*BREAKPOINTS*/
@media (max-width: 992px){
.header {
    padding: 1.3rem 5%;
}
}
@media (max-width: 768px) {
.icons {
    display: inline-flex;
}
#check:checked~.icons #menu-icon {
    display: none;
}
.icons #close-icon {    
    display: none;
}
#check:checked~.icons #close-icon {
    display: block;
}
.navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(15px);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
    transition: .3s ease;
}
#check:checked~.navbar {
    height: 22.7rem;
}
.navbar a {
    display: block;
    font-size: 1.25rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    opacity: 0;
    transition: .3s ease;
}
#check:checked ~ .navbar a {
    transform: translateY(0);
    opacity: 1;
    transition-delay: calc(.15s * var(--i));
}
.navbar a i {
    display: block;
    font-size: 2rem;
}
}          
/*Botones animacion texto*/
/* Botones animación texto */
.btn {
    position: absolute;
    color: white;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    background: none;
    border: none;
    outline: none;
    font-family: Helvetica, sans-serif;
    font-weight: 500;
    text-decoration: underline;
    text-transform: uppercase;
    font-size: 2em;
    cursor: pointer;
}
.btn:hover {
    color: #0F6F95;
}

.header-container {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #0f0f0f;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: -2;
    font-family: "Voyage";
    font-size: 8em;
}

.text-container {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #f15a37;
    z-index: -1;
}

.text-wrapper {
    position: fixed;
    width: 100%;
    height: 100vh;
    left: -50%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: default;
}

.text {
    width: 300%;
    font-family: "Voyage";
    font-size: 5vw;
    text-transform: uppercase;
    opacity: 0.1;
}

/* Media query for smaller screens */
@media screen and (max-width: 768px) {
    .btn {
        font-size: 1.9em; /* Adjust the font size for smaller screens */
    }

    .header-container {
        font-size: 4em; 
        font-family: 'Voyage'; /* Adjust the font size for smaller screens */
    }

    .text {
        font-size: 6.5vw; /* Adjust the font size for smaller screens */
    }

    .text-wrapper {
        text-overflow: initial;
        font-size: larger;
    }

    .gallery {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
        align-items: flex-start;
        margin-top: 10px;
    }

    .img {
        width: 100px;
        height: 150px;
        margin: 10px;
        position: relative;
        transform: none;
    }
}

.gallery {
    width: 100%;
    height: calc(100vh - 60px);
    position: relative;
}

.img {
    width: 75px;
    height: 100px;
    overflow: hidden;
    position: absolute;
    margin: 65px; /* Reduce the margin for smaller screens */
}

.img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.img:hover {
    transform: scale(1.1);
    animation-duration: 4s;
}

.descripcion {
    position: absolute;
    font-size: 11.5px;
    letter-spacing: 0.2px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    top: 0;
    left: 100%; /* Inicialmente fuera del contenedor */
    width: 100%; /* Ajusta según tus necesidades */
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6); /* Fondo inicialmente oscuro */
    color: white; /* Color de fuente inicialmente blanco */
    padding: 10px; /* Ajusta según tus necesidades */
    box-sizing: border-box; /* Para incluir el padding en el tamaño total */
    opacity: 0; /* Inicialmente oculto */
    transition: opacity 0.5s, left 0.7s; /* Agrega una transición para suavizar el efecto */
}

.img:hover .descripcion {
    opacity: 1; 
    left: 0; 
}
